package com.ruoyi.generator.domain.front.dto;

import java.util.ArrayList;
import java.util.List;

public class AppBlueprintDesign
{
    private List<AppRoleDesign> roles = new ArrayList<AppRoleDesign>();
    private List<AppMenuDesign> frontendMenus = new ArrayList<AppMenuDesign>();
    private List<AppMenuDesign> adminMenus = new ArrayList<AppMenuDesign>();

    public List<AppRoleDesign> getRoles() { return roles; }
    public void setRoles(List<AppRoleDesign> roles) { this.roles = roles; }
    public List<AppMenuDesign> getFrontendMenus() { return frontendMenus; }
    public void setFrontendMenus(List<AppMenuDesign> frontendMenus) { this.frontendMenus = frontendMenus; }
    public List<AppMenuDesign> getAdminMenus() { return adminMenus; }
    public void setAdminMenus(List<AppMenuDesign> adminMenus) { this.adminMenus = adminMenus; }
}
